package com.ruoyi.bst.order.service;

import com.ruoyi.bst.order.domain.OrderVO;

import java.util.List;

/**
 * @author wjh
 * 2024/12/18
 */
public interface OrderAssembler {

    /**
     * 拼接产品列表
     * @param list 订单列表
     * @param assembleProcess 是否拼接工序
     */
    void assembleProdList(List<OrderVO> list, boolean assembleProcess);

    /**
     * 拼接进度
     */
    void assembleProgress(List<OrderVO> list);
}
